/** footprint.h -*- c++ -*- Hans-Peter Stoerr Tue Nov 11 2003 */
/// $Id: footprint.h,v 1.3 2003/12/29 18:06:31 stoerr Exp $

#ifndef _FOOTPRINT_H
#define _FOOTPRINT_H

#include <stdio.h>

/// returns a footprint of the file. 
char* footprint(FILE* file);

/// returns crc of string
long crc(char* s);

/// returns crc of char array
long crc(char *s, int len);

/// returns equivalence percentage of two footprints
double footPrintDiff(const char* f1, const char* f2);

#endif
