/** header.h -*- c++ -*- Hans-Peter Stoerr Mon Nov 10 2003 */
/// $Id: header.h,v 1.4 2003/12/30 11:01:22 stoerr Exp $

#ifndef _HEADER_H
#define _HEADER_H

#include <stdio.h>

/// add item to header
void addheaderitem(const char* descr, const char* value);
/// add item to header
void addheaderitem(const char* descr, const long value);

/// writes the header to a file
void writeheader(FILE* outfile);

/// reads header from a file. file is positioned on data, aferwards.
char* readheader(FILE* infile);

/// length of one header
const int headerlen=2048;

#endif
